Php sasl.incl missing



  • Since I updated to 2.4.0.b.20170215.2223,  I started getting errors with the dshield pfsense client. This error in the crash report:

    Crash report details:

    PHP Errors:
    [19-Feb-2017 22:38:00 America/New_York] PHP Warning:  require_once(sasl.inc): failed to open stream: No such file or directory in /usr/local/bin/pfsense-dshield.php on line 39
    [19-Feb-2017 22:38:00 America/New_York] PHP Stack trace:
    [19-Feb-2017 22:38:00 America/New_York] PHP  1. {main}() /usr/local/bin/pfsense-dshield.php:0
    [19-Feb-2017 22:38:00 America/New_York] PHP Fatal error:  require_once(): Failed opening required 'sasl.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg:/usr/local/www/classes:/usr/local/www/classes/Form:/usr/local/share/pear') in /usr/local/bin/pfsense-dshield.php on line 39

    Updating to
    2.4.0.b.20170218.1026

    gives same results. Did this library get dropped on purpose?

    Adam


  • Banned

    That's problem of your hacked dshield package, completely OT here.


  • Rebel Alliance Developer Netgate

    It was on 2.3.x, not on 2.4.x. It might have been a part of a third-party library we replaced. It wasn't our code as far as I can see.



  • jump - thanks. This helps me know which direction to go.


Log in to reply